def get_num_columns_of_array(array: list) -> int:
    return len(array[0])


def get_num_rows_of_array(array: list) -> int:
    return len(array)


def data_normalize(data: list, norm_type: str, max_val=None):
    if norm_type == '0,1':
        return [data[i] / max_val for i in range(len(data))]